AprStatus (Apache Tomcat 10.1.54 API Documentation)
Description: declaration: package: org.apache.tomcat.jni, class: AprStatus

# Class AprStatus

java.lang.Object
org.apache.tomcat.jni.AprStatus

public class AprStatus extends Object
Holds APR status without the need to load other classes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AprStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getOpenSSLVersion()`
  `static ReentrantReadWriteLock`
  `getStatusLock()`
  Code that changes the status of the APR library MUST hold the write lock while making any changes.
  `static boolean`
  `getUseOpenSSL()`
  `static boolean`
  `isAprAvailable()`
  `static boolean`
  `isAprInitialized()`
  `static boolean`
  `isInstanceCreated()`
  `static void`
  `setAprAvailable(boolean aprAvailable)`
  `static void`
  `setAprInitialized(boolean aprInitialized)`
  `static void`
  `setInstanceCreated(boolean instanceCreated)`
  `static void`
  `setOpenSSLVersion(int openSSLVersion)`
  `static void`
  `setUseOpenSSL(boolean useOpenSSL)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AprStatus

    public AprStatus()

- ## Method Details

  - ### isAprInitialized

    public static boolean isAprInitialized()

  - ### isAprAvailable

    public static boolean isAprAvailable()

  - ### getUseOpenSSL

    public static boolean getUseOpenSSL()

  - ### isInstanceCreated

    public static boolean isInstanceCreated()

  - ### setAprInitialized

    public static void setAprInitialized(boolean aprInitialized)

  - ### setAprAvailable

    public static void setAprAvailable(boolean aprAvailable)

  - ### setUseOpenSSL

    public static void setUseOpenSSL(boolean useOpenSSL)

  - ### setInstanceCreated

    public static void setInstanceCreated(boolean instanceCreated)

  - ### getOpenSSLVersion

    public static int getOpenSSLVersion()
    Returns:
      the openSSLVersion

  - ### setOpenSSLVersion

    public static void setOpenSSLVersion(int openSSLVersion)
    Parameters:
      `openSSLVersion` - the openSSLVersion to set

  - ### getStatusLock

    public static ReentrantReadWriteLock getStatusLock()
    Code that changes the status of the APR library MUST hold the write lock while making any changes.

    Code that needs the status to be consistent for an operation must hold the read lock for the duration of that operation.

    Returns:
      The read/write lock for APR library status